import { StackedColumnSeries } from "./StackedColumnSeries";
import { IStacked100Series } from "./IStacked100Series";
import { Type } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { CategorySeriesView } from "./CategorySeriesView";
import { StackedColumnSeriesView } from "./StackedColumnSeriesView";
import { CategoryBucketCalculator } from "./CategoryBucketCalculator";
/**
 * @hidden
 */
export declare class Stacked100ColumnSeries extends StackedColumnSeries implements IStacked100Series {
    static $t: Type;
    constructor();
    ac(): void;
    protected bf(): SeriesView;
    p9: Stacked100ColumnSeriesView;
    iu(a: SeriesView): void;
    oy(): CategorySeriesView;
    protected pl(): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class Stacked100ColumnSeriesView extends StackedColumnSeriesView {
    static $t: Type;
    c1: Stacked100ColumnSeries;
    constructor(a: Stacked100ColumnSeries);
    co(): CategoryBucketCalculator;
}
